<?php
######################################################################
# ZW3B.Site v5.8.2 : Web Sites Management
# --------------------------------------------------------------------
#
# Copyright (c) 2015 by LAB3W : O.Romain Jaillet-Ramey - (orj@lab3w.fr)
#
# Date Create : 2014/10/20
# Date Modify : 2015/08/19
#
# Web Site : http://www.zw3b.fr
#
# This module is to manage ---------------------------- :: Descripton
#
# This program is free software. You can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License.
######################################################################

class zw3bModUsr extends zw3bModules
{
	var $type = null;
	var $parametres = array();

	var $data = array();

	var $uid = null;
	var $gid = null;
	var $uname = null;
	var $umail = null;
	var $uanonym = null;
	var $uavatar = null;
	
	var $ulastname = null;
	var $ufirstname = null;
	
	var $ubirthday = null;
	var $ucountry = null;
	var $ucity = null;
	

	//function __construct($config, $info) {
	//function __construct($type = null, $parametres = array()) {
	public function __construct($config = null, $info = null, $parametres = array()) {

		//$this->type = $type;
		$this->parametres = $parametres;

		//$this->data = $this->getALL();

		$this->config = $config;
		$this->info = $info;

	}


	public function init($view, $module, $component, $arguments) {

		// Parcours du tableau $arguments
		if(is_array($arguments)):
		foreach ($arguments as $key => $value){
			$this->zwViews()->assign($key, $value);
		}
		endif;

		// on appele la methode
		$component_method = $module::$component($arguments);

		// on ecrit
		return self::render($view, $component_method);

		//return $component_render;
	}

	public function render($view, $fields) {

		//$this->fields['body'] .= '<br/> <pre>Fields : '.print_r($this->fields,1).'</pre>';

		// Template
		if(file_exists($view)):
			$modele = @fopen ($view, 'r');
			$render_content = @fread ($modele, @filesize ($view));
			@fclose ($modele);

			// Parcours du tableau $fields
			if(is_array($this->fields)):
			foreach ($this->fields as $key => $value){
				// Remplacement des valeurs dans le modle
				$result = @ereg_replace ("{".$key."}", $value, $render_content);
				// Initialisation du contenu du template
				$render_content = $result;

			}
			endif;
		else:
			$render_content = '<p style="color:white; background-color:red;"><span style="color:white;">&nbsp;Error:</span> Template "<span style="color:black;">'.$view.'</span>" n\'existe pas !</p>';
		endif;

		return $render_content;
	}


	/*
	 * Methode qui permet dutiliser differentes "base de donnes"
	 * 
	 */
	public function basetype($type = null) {

		switch($type){
			default:
			case "mysql":
				return $this->basetype = new zw3bModUsrMysql();
			break;
			case "ldap":
				//return $this->basetype = new zw3bModUsrLDAP();
			break;
		}
	}

	/*
	 * Return un user
	 */
	public function get_user($arguments = null) {

		//return $this->basetype()->get_user($arguments['id_user']);
		return $this->basetype()->get_user($arguments);

	}

	/*
	 * Return les users
	 */
	public function get_users($arguments = null) {
		$arguments['where'] = (isset($arguments['where']) ? $arguments['where'] : null);
		$arguments['by'] = (isset($arguments['by']) ? $arguments['by'] : null);
		$arguments['order'] = (isset($arguments['order']) ? $arguments['order'] : null);
		return $this->basetype()->get_users($arguments['where'],$arguments['by'],$arguments['order']);
	}

	/*
	 * Authentification dun user
	 */
	public function log_user($arguments = null) {

		//echo '>zw3bModUsr>log_user><pre>'.print_r($arguments, 1).'</pre>'; exit;
		return $this->basetype()->log_user($arguments['field_identifiant'], $arguments['field_m2p0']);

	}
	
	/*
	 * Check que luser est authentifie
	 */
	public function auth($arguments = null) {

		if($this->session()->auth())
			return $this->session()->auth();
		else
			return $arguments;

	}

	/*
	 * Retourne la session de luser
	 */	
	public function session() {

		$this->session = new zw3bModUsrSession();
		return $this->session;
	}

	public function uid() {
		return $this->session()->uid;
	}

	public function gid() {
		return $this->session()->gid;
	}

	public function gname() {
		return $this->session()->gname;
	}
	
	public function uright() {
		return $this->session()->uright;
	}
	
	public function gright() {
		return $this->session()->gright;
	}
	
	public function uname() {
		return $this->session()->uname;
	}

	public function umail() {
		return $this->session()->umail;
	}

	public function uavatar() {
		return $this->session()->uavatar;
	}

	public function ufirstname() {
		return $this->ufirstname;
	}

	public function ulastname() {
		return $this->ulastname;
	}

/*
	public function uanonym() {
		return $this->session()->uanonym;
	}
*/

	/*
	 * luser a tous les droits, il est root
	 */	
	public function root($arguments = null) {
		$requete =  '$this->uright() == "XXL" or $this->uright() == "XL" ';
		
		if(
			isset($arguments["usr_right"]) && !empty($arguments["usr_right"])
		&& $arguments["usr_right"] == "L"
		) {
			$requete = $requete.' or $this->uright() == "L"';
		}
		if(
			isset($arguments["usr_right"]) && !empty($arguments["usr_right"])
		&& $arguments["usr_right"] == "M"
		) {
			$requete = $requete.' or $this->uright() == "L" or $this->uright() == "M"';
		}
		if(
			isset($arguments["usr_right"]) && !empty($arguments["usr_right"])
		&& $arguments["usr_right"] == "S"
		) {
			$requete = $requete.' or $this->uright() == "L" or $this->uright() == "M" or $this->uright() == "S"';
		}
								
		if($this->session()->auth() == true
			and (
				$this->gright() == 1 and ($requete)
			)
		
		)
		return true;
		else
		return false;
	}

	/*
	 * luser a tous les droits, il est admin
	 */	
	public function admin($arguments = null) {
		$requete =  '$this->uright() == "XXL" or $this->uright() == "XL" ';
		
		if(
			isset($arguments["usr_right"]) && !empty($arguments["usr_right"])
		&& $arguments["usr_right"] == "L"
		) {
			$requete = $requete.' or $this->uright() == "L"';
		}
		if(
			isset($arguments["usr_right"]) && !empty($arguments["usr_right"])
		&& $arguments["usr_right"] == "M"
		) {
			$requete = $requete.' or $this->uright() == "L" or $this->uright() == "M"';
		}
		if(
			isset($arguments["usr_right"]) && !empty($arguments["usr_right"])
		&& $arguments["usr_right"] == "S"
		) {
			$requete = $requete.' or $this->uright() == "L" or $this->uright() == "M" or $this->uright() == "S"';
		}
								
		if($this->session()->auth() == true
			and ($this->root() == true or
				($this->gright() > 1 && $this->gright() <= 10 and ($requete))
			)
		
		)
		return true;
		else
		return false;

	}

	/*
	 * luser a certains droits, il est moderateur
	 */	
	public function moderator($arguments = null) {			
		$requete =  '$this->uright() == "XXL" or $this->uright() == "XL" ';
		
		if(
			isset($arguments["usr_right"]) && !empty($arguments["usr_right"])
		&& $arguments["usr_right"] == "L"
		) {
			$requete = $requete.' or $this->uright() == "L"';
		}
		if(
			isset($arguments["usr_right"]) && !empty($arguments["usr_right"])
		&& $arguments["usr_right"] == "M"
		) {
			$requete = $requete.' or $this->uright() == "L" or $this->uright() == "M"';
		}
		if(
			isset($arguments["usr_right"]) && !empty($arguments["usr_right"])
		&& $arguments["usr_right"] == "S"
		) {
			$requete = $requete.' or $this->uright() == "L" or $this->uright() == "M" or $this->uright() == "S"';
		}
								
		if($this->session()->auth() == true
			and ($this->root() == true or $this->admin() == true or
				($this->gright() >= 11 && $this->gright() < 30 and ($requete))
			)
		
		)

		return true;
		else
		return false;

	}

	protected function zw3bModUsrAppNav($arguments = null) {
		
		$nav = ''."\n";
		$nav = '<ul>'."\n";
		
		$nav.= '<li><a href="'.$this->config['apps']['conf']['url'].'/usr/add/" class=" infos">Ajouter un utilisateur</a></li>';
		$nav.= '<li><a href="'.$this->config['apps']['conf']['url'].'/usr/lst/" class=" infos">Lister les utilisateurs</a></li>';
		
		$nav = '</ul>'."\n";
		
		$this->fields['usr_nav'] = $nav;

	}
	
	protected function zw3bModUsrAppIndex($arguments = null) {
		
		$onglets = ''."\n";
		//$onglets.= '<li><a href="#auth" class=" auth">Authentification</a></li>';
		//$onglets.= '<li><a href="#insc" class="insc active">Inscription</a></li>';
		//$onglets.= '<li><a href="#forgot" class="forgot">R&eacute;cup&eacute;rer son compte</a></li>';
		//$onglets.= '<li><a href="'.$this->config['apps']['conf']['url'].'/usr/add/" class=" infos">Ajouter</a></li>';
		//$onglets.= '<li><a href="'.$this->config['apps']['conf']['url'].'/usr/" class=" infos">Lister les utilisateurs</a></li>';
		
		$head = ''."\n";
		$head.= '<h2>Gestion des Utilisateurs</h2>'."\n";
		
		$this->fields['head'] = $head;
		$this->fields['body'] = '';
		$this->fields['description'] = '<p>Sur cette page vous g&egrave;rer les utilisateurs du site.</p>';
		$this->fields['foot'] = '';	
	}
	
	protected function zw3bModUsrAppLst($arguments = null) {
		
		$onglets = null;
		$users = array();
		$arguments['where'] = '';
		$arguments['by'] = 'u.usr_date_log';
		$arguments['order'] = 'DESC';
		$users = $this->zwUsr()->get_users($arguments);
		//$users = self::basetype()->get_users($arguments);

		$this->fields['head'] = '';
		$this->fields['description'] = '';
		$this->fields['foot'] = '';	
		$this->fields['body'] = '';
		
		$html = ''."\n";

/*
		if($this->usr->auth() == true
			and $this->usr->gright() >= 1 && $this->usr->gright() <= 10 
			and (
				$this->usr->uright() == "XXL" 
				or $this->usr->uright() == "XL"
			)
		):
*/
		if(
			$this->usr->auth() == true
			and (
				$this->usr->root() == true or
				$this->usr->admin() == true
			)
		):
				
		$html.= '<table>'."\n";
		$html.= '<thead>'."\n";
			$html.= '<tr>'."\n";
				$html.= '<th style="min-width:15%">Pseudo</th>'."\n";
				$html.= '<th>Groupe</th>'."\n";
				$html.= '<th>Pr&eacute;nom Nom</th>'."\n";
				$html.= '<th style="min-width:20%">Mail</th>'."\n";
				$html.= '<th>Date Log</th>'."\n";
				$html.= '<th class="nbr">Nb.Log</th>'."\n";
				
			$html.= '</tr>'."\n";
		$html.= '</thead>'."\n";

		$html.= '<tfoot>'."\n";
			$html.= '<tr>'."\n";
				$html.= '<th>Pseudo</th>'."\n";
				$html.= '<th>Groupe</th>'."\n";
				$html.= '<th>Pr&eacute;nom Nom</th>'."\n";
				$html.= '<th>Mail</th>'."\n";
				$html.= '<th>Date Log</th>'."\n";
				$html.= '<th class="nbr">Nb.Log</th>'."\n";
				
			$html.= '</tr>'."\n";
		$html.= '</tfoot>'."\n";
					
		$html.= '<tbody>'."\n";
		foreach($users as $c => $user):
			$zwUsrDomainClass = ($c % 2 == "0") ? "default " : "color ";

			$zwUsrDomainId = $user['grp_right'];
			$zwUsrDomainClass = ($zwUsrDomainId >= 1 && $zwUsrDomainId <= 10) ? $zwUsrDomainClass."admin" : $zwUsrDomainClass;
			$zwUsrDomainClass = ($zwUsrDomainId >= 11 && $zwUsrDomainId < 30) ? $zwUsrDomainClass."mode" : $zwUsrDomainClass;
			$zwUsrDomainClass = ($zwUsrDomainId >= 30) ? $zwUsrDomainClass."membre" : $zwUsrDomainClass;

			$zwUsrDomainClass = isset($user['usr_date_validation']) && !empty($user['usr_date_validation']) && $user['usr_date_validation'] != "0000-00-00 00:00:00" ? $zwUsrDomainClass."" : $zwUsrDomainClass." error";

			$html.= '<tr class="'.$zwUsrDomainClass.'" title="'.strToUpper($user['grp_name']).' -> '.$user['usr_right'].'">'."\n";
				$html.= '<td class="pseudo"><strong><a href="'.$this->config['apps']['conf']['url'].'/usr/mod/'.$user['usr_id'].'">'.$user['usr_pseudo'].'</a></strong></td>'."\n";
				$html.= '<td style="">'.$user['grp_name'].'</td>'."\n";
				$html.= '<td style="">'.$user['usr_firstname'].' '.$user['usr_lastname'].'</td>'."\n";
				$html.= '<td style="min-width:250px;">'.$this->zwTools()->replace_mail($user['usr_email']).'</td>'."\n";
				
				
				$zwUsrDateLog = ($this->zwTools()->mk_time($this->zwTools()->now()) - $this->zwTools()->mk_time($user['usr_date_log'])) <= "259200" ? $this->zwTools()->date_powa($user['usr_date_log']) : $this->zwTools()->date_fr($user['usr_date_log']);
				$zwUsrDateLog = trim($zwUsrDateLog);
				$html.= '<td style="">'.(!empty($zwUsrDateLog) ? $zwUsrDateLog : 'Jamais').'</td>'."\n";
				
				$html.= '<td class="nbr">'.$user['usr_nbr_log'].'</td>'."\n";
			$html.= '</tr>'."\n";
		endforeach;
		$html.= '</tbody>'."\n";
				
		$html.= '</table>'."\n";
		
/*						
			$html.= '<ul>'."\n";
			
				foreach($users as $user):
				$html.= '<li>'."\n";
				$html.= '<a href="">'."\n";
				$html.= ''.$user['log'].''."\n";
				$html.= '</a>'."\n";
				$html.= '</li>'."\n";
				endforeach;
				
			$html.= '</ul>'."\n";
*/			
		
		
		$this->fields['description'] = '<p>Ci-dessous la liste des utilisateurs</p>';
		$this->fields['body'] = $html;		
		
		endif;

		
		
	}	
	

	protected function zw3bModUsrAppAdd($arguments = null) {
		
		$domaine = null;
		$pseudo = null;
		$email = null;
		$avatat = null;
		$status = null;
		$notification = null;
		$newsletter = null;
		$date_log = null;
		$date_lastvisit = null;
		
		$this->fields['head'] = 'Ajouter un utilisateur';
		
		$this->fields['domaine'] = $domaine;
		$this->fields['pseudo'] = $pseudo;
		$this->fields['email'] = $email;
		$this->fields['nom'] = $pseudo;
		$this->fields['prenom'] = $pseudo;
		$this->fields['avatar'] = '';
		$this->fields['status'] = '';
		$this->fields['notification'] = '';
		$this->fields['newsletter'] = '';
		$this->fields['date_log'] = '';	
		$this->fields['date_lastvisite'] = '';

		if($this->usr->auth() == true
			and (
				$this->usr->root() == true or
				$this->usr->admin() == true
			)
		):
		
		// ZW3B.USR.STATUS ----------------------------------------------------								
		$zwUsrStatus = isset($user['usr_date_validation']) && !empty($user['usr_date_validation']) && $user['usr_date_validation'] != "0000-00-00 00:00:00" ? 1 : 0;
		
		//$zwUsrStatus = "<pre>".print_r($zwUsrStatus,1)."</pre>";
		$zwUsrStatusHtml = "";
		$zwUsrStatusHtml.= '<select name="usr[infos][status]" class="liz">';
		
			$zwUsrStatusHtml.= '<option value="0" '.($zwUsrStatus == 0 ? 'selected="selected"' : '').'>Compte ferm&eacute;</option>';
			$zwUsrStatusHtml.= '<option value="1" '.($zwUsrStatus == 1 ? 'selected="selected"' : '').'>Compte actif</option>';
			
		$zwUsrStatusHtml.= '</select>';
						
		$this->fields['status'] = $zwUsrStatusHtml;
		//$status_id = $user['valide']; // ??
		// --------------------------------------------------------------------				

		// ZW3B.USR.DOMAINE ----------------------------------------------------
		$zwUsrDomainId = 30;

		$zwUsrDomainClass = ($zwUsrDomainId >= 1 && $zwUsrDomainId <= 10) ? "admin" : "membre";
		$zwUsrDomainClass = ($zwUsrDomainId >=  11 && $zwUsrDomainId < 30) ? "mode" : $zwUsrDomainClass;
		$zwUsrDomainClass = ($zwUsrDomainId >=  30) ? "membre" : $zwUsrDomainClass;

		$this->fields['domaine_class'] = $zwUsrDomainClass;

		$zwUsrDomainHtml = "";
		//$zwUsrDomainHtml.= 'ID:'.$zwUsrDomainId.'&nbsp;';
		$zwUsrDomainHtml.= '<select name="usr[infos][grp]" class="liz" style="text-align:left;">';
		
			$zwUsrDomainHtml.= '<option value="1" '.($zwUsrDomainId == 1  ? 'selected="selected"' : '').'>ZW3B.Root</option>';
			$zwUsrDomainHtml.= '<option value="10" '.($zwUsrDomainId >= 2 && $zwUsrDomainId <= 10 ? 'selected="selected"' : '').'>ZW3B.Admin</option>';
			$zwUsrDomainHtml.= '<option value="20" '.($zwUsrDomainId >= 11 && $zwUsrDomainId < 30 ? 'selected="selected"' : '').'>ZW3B.Mod&eacute;</option>';
			$zwUsrDomainHtml.= '<option value="30" '.($zwUsrDomainId >= 30 ? 'selected="selected"' : '').'>ZW3B.Membre</option>';
	
		$zwUsrDomainHtml.= '</select>';
		
		
		
		$this->fields['domaine'] = $zwUsrDomainHtml;
		
		// --------------------------------------------------------------------	

		// ZW3B.USR.AVATAR ----------------------------------------------------								
		$avatar = isset($user['usr_avatar']) && !empty($user['usr_avatar']) ? $user['usr_avatar'] : null;
		$this->fields['avatar'] = isset($avatar) && !empty($avatar) ? '<img src="'.$this->zwTools()->getpathFromSTRING($pseudo, '/var/usr/').'/photos/'.$avatar.'" alt="'.$pseudo.'" />' : "";
		// --------------------------------------------------------------------				

		// ZW3B.USR.NOTIFICATION ----------------------------------------------------								
		$zwNotif = isset($user['usr_notification']) && !empty($user['usr_notification']) ? $user['usr_notification'] : null;
		
		//$zwNotifHtml = "<pre>".print_r($zwNotif,1)."</pre>";
		$zwNotifHtml = "";
		$zwNotifHtml.= '<select name="usr[notif][value]" class="liz" style="text-align:left;">';
		
			$zwNotifHtml.= '<option value="0" '.($zwNotif == 0 ? 'selected="selected"' : '').'>Level 0 - ZW3B.Notification N&eacute;andertal</option>';
			$zwNotifHtml.= '<option value="1" '.($zwNotif == 1 ? 'selected="selected"' : '').'>Level 1 - ZW3B.Notification Quotidienne</option>';
			$zwNotifHtml.= '<option value="2" '.($zwNotif == 2 ? 'selected="selected"' : '').'>Level 2 - ZW3B.Notification Hebdomadaire</option>';
			$zwNotifHtml.= '<option value="3" '.($zwNotif == 3 ? 'selected="selected"' : '').'>Level 3 - ZW3B.Notification L&eacute;g&egrave;re</option>';
			$zwNotifHtml.= '<option value="4" '.($zwNotif == 4 ? 'selected="selected"' : '').'>Level 4 - ZW3B.Notification Standard</option>';
			$zwNotifHtml.= '<option value="5" '.($zwNotif == 5 ? 'selected="selected"' : '').'>Level 5 - ZW3B.Notification Globale</option>';
			$zwNotifHtml.= '<option value="6" '.($zwNotif == 6 ? 'selected="selected"' : '').'>Level 6 - ZW3B.Notification Impotante</option>';
			$zwNotifHtml.= '<option value="7" '.($zwNotif == 7 ? 'selected="selected"' : '').'>Level 7 - ZW3B.Notification Parano&iuml;aque</option>';
			$zwNotifHtml.= '<option value="8" '.($zwNotif == 8 ? 'selected="selected"' : '').'>Level 8 - ZW3B.Notification Roots</option>';
			
		$zwNotifHtml.= '</select>';
						
		$this->fields['notification'] = $zwNotifHtml;
		// --------------------------------------------------------------------					

		// ZW3B.USR.DATEs ----------------------------------------------------								
		//$date_insc = $user['usr_date_insc'];
		//$date_log = $user['usr_date_log'];
		//$date_lastvisite = $user['usr_date_refresh'];
		$date_naiss = null; //$date_naiss = $user['usr_date_birth']; 
					
		//$this->fields['date_insc'] = ''.$this->zwTools()->date_fr($date_insc).' &agrave; '.substr($date_insc, -8).', '.$this->zwTools()->date_powa($date_insc).'';	
		//$this->fields['date_log'] = ''.$this->zwTools()->date_fr($date_log).' &agrave; '.substr($date_log, -8).', '.$this->zwTools()->date_powa($date_log).'';	
		//$this->fields['date_lastvisite'] = ''.$this->zwTools()->date_fr($date_lastvisite).' &agrave; '.substr($date_lastvisite, -8).', '.$this->zwTools()->date_powa($date_lastvisite).'';

		$this->fields['date_naiss']	= (isset($user['usr_date_birth']) && !empty($user['usr_date_birth'])) ? 'Le '.$this->zwTools()->date_fr($date_naiss).', '.$this->zwTools()->date_age($date_naiss).'.<br/><br/>' : 'Aucune date de d&eacute;finit - Configurer';	
		$this->fields['date_naiss_select'] = ''.$this->zwTools()->form_select_date_array('usr[date][naiss]',$date_naiss,false).'';
		// --------------------------------------------------------------------				

		// ZW3B.USR.NL ----------------------------------------------------
		$newsletter = "Pas inscrit";
		$this->fields['newsletter'] = $newsletter;			
		// --------------------------------------------------------------------	

		endif;

	}
		
	protected function zw3bModUsrAppMod($arguments = null) {
		
		$this->fields['head'] = 'Modifier cet utilisateur';		
		

		if($this->usr->auth() == true
			and (
				$this->usr->root() == true
				or $this->usr->admin() == true 
				//or $this->usr->moderator() == true 
			)
			or 
			(
			 isset($this->info['page']['arguments']['usr_id']) 
			 && $this->usr->uid() == $this->info['page']['arguments']['usr_id']
			 )
		):
				
		$arguments['id_user'] = $arguments['usr_id'];
		
		$user = $this->zwUsr()->get_user($arguments);
		
		//echo "sqsqsq : <pre>".print_r($user,1)."</pre>";

		// ZW3B.USR.INFOS ----------------------------------------------------	
		$usr_id = $user['usr_id'];
		$pseudo = $user['usr_pseudo'];
		$email = $user['usr_email'];
		$nom = $user['usr_lastname'];
		$prenom = $user['usr_firstname'];

		$this->fields['usr_id'] = $usr_id;
		$this->fields['pseudo'] = $pseudo;
		$this->fields['email'] = $email;
		$this->fields['email_link'] = $this->zwTools()->encode_link_mail($user['usr_email']);
		$this->fields['nom'] = $nom;
		$this->fields['prenom'] = $prenom;	
		// --------------------------------------------------------------------
				
		// ZW3B.USR.STATUS ----------------------------------------------------								
		if($this->usr->auth() == true
			and (
				$this->usr->root() == true
				or $this->usr->admin() == true 
				//or $this->usr->moderator() == true 
			)
			/*or 
			(
			 isset($this->info['page']['arguments']['usr_id']) 
			 && $this->usr->uid() == $this->info['page']['arguments']['usr_id']
			 )*/
		):
		$zwUsrStatus = isset($user['usr_date_validation']) && !empty($user['usr_date_validation']) && $user['usr_date_validation'] != "0000-00-00 00:00:00" ? 1 : 0;
		
		//$zwUsrStatus = "<pre>".print_r($zwUsrStatus,1)."</pre>";
		$zwUsrStatusHtml = "";
		$zwUsrStatusHtml.= '<select name="usr[infos][status]" class="liz">';
		
			$zwUsrStatusHtml.= '<option value="0" '.($zwUsrStatus == 0 ? 'selected="selected"' : '').'>Compte ferm&eacute;</option>';
			$zwUsrStatusHtml.= '<option value="1" '.($zwUsrStatus == 1 ? 'selected="selected"' : '').'>Compte actif</option>';
			
		$zwUsrStatusHtml.= '</select>';
						
		$this->fields['status'] = $zwUsrStatusHtml;
		//$status_id = $user['valide']; // ??
		endif;
		// --------------------------------------------------------------------				

		// ZW3B.USR.DOMAINE ----------------------------------------------------

		$zwUsrDomainId = $user['grp_right'];

		$zwUsrDomainClass = ($zwUsrDomainId >= 1 && $zwUsrDomainId <= 10) ? "admin" : "membre";
		$zwUsrDomainClass = ($zwUsrDomainId >=  11 && $zwUsrDomainId < 30) ? "mode" : $zwUsrDomainClass;
		$zwUsrDomainClass = ($zwUsrDomainId >=  30) ? "membre" : $zwUsrDomainClass;

		$this->fields['domaine_class'] = $zwUsrDomainClass;
		$this->fields['domaine'] = "";
		
		if($this->usr->auth() == true
			and (
				$this->usr->root() == true
				or $this->usr->admin() == true 
				//or $this->usr->moderator() == true 
			)
			/*or 
			(
			 isset($this->info['page']['arguments']['usr_id']) 
			 && $this->usr->uid() == $this->info['page']['arguments']['usr_id']
			 )*/
		):
		$zwUsrDomainHtml = "";
		//$zwUsrDomainHtml.= 'ID:'.$zwUsrDomainId.'&nbsp;';
		$zwUsrDomainHtml.= '<select name="usr[infos][grp]" class="liz" style="text-align:left;">';
		
			$zwUsrDomainHtml.= '<option value="1" '.($zwUsrDomainId == 1  ? 'selected="selected"' : '').'>ZW3B.Root</option>';
			$zwUsrDomainHtml.= '<option value="10" '.($zwUsrDomainId >= 2 && $zwUsrDomainId <= 10 ? 'selected="selected"' : '').'>ZW3B.Admin</option>';
			$zwUsrDomainHtml.= '<option value="20" '.($zwUsrDomainId >= 11 && $zwUsrDomainId < 30 ? 'selected="selected"' : '').'>ZW3B.Mod&eacute;</option>';
			$zwUsrDomainHtml.= '<option value="30" '.($zwUsrDomainId >= 30 ? 'selected="selected"' : '').'>ZW3B.Membre</option>';
	
		$zwUsrDomainHtml.= '</select>';

		$this->fields['domaine'] = $zwUsrDomainHtml;
		endif;
		// --------------------------------------------------------------------	

		// ZW3B.USR.AVATAR ----------------------------------------------------								
		$avatar = isset($user['usr_avatar']) && !empty($user['usr_avatar']) ? $user['usr_avatar'] : null;
		$this->fields['avatar'] = isset($avatar) && !empty($avatar) ? '<img src="'.$this->zwTools()->getpathFromSTRING($pseudo, '/var/usr/').'/photos/'.$avatar.'" alt="'.$pseudo.'" />' : "";
		// --------------------------------------------------------------------				

		// ZW3B.USR.NOTIFICATION ----------------------------------------------------								
		$zwNotif = isset($user['usr_notification']) && !empty($user['usr_notification']) ? $user['usr_notification'] : null;
		
		//$zwNotifHtml = "<pre>".print_r($zwNotif,1)."</pre>";
		$zwNotifHtml = "";
		$zwNotifHtml.= '<select name="usr[notif][value]" class="liz" style="text-align:left;">';
		
			$zwNotifHtml.= '<option value="0" '.($zwNotif == 0 ? 'selected="selected"' : '').'>Level 0 - ZW3B.Notification N&eacute;andertal</option>';
			$zwNotifHtml.= '<option value="1" '.($zwNotif == 1 ? 'selected="selected"' : '').'>Level 1 - ZW3B.Notification Hebdomadaire</option>';
			$zwNotifHtml.= '<option value="2" '.($zwNotif == 2 ? 'selected="selected"' : '').'>Level 2 - ZW3B.Notification Quotidienne</option>';
			$zwNotifHtml.= '<option value="3" '.($zwNotif == 3 ? 'selected="selected"' : '').'>Level 3 - ZW3B.Notification L&eacute;g&egrave;re</option>';
			$zwNotifHtml.= '<option value="4" '.($zwNotif == 4 ? 'selected="selected"' : '').'>Level 4 - ZW3B.Notification Standard</option>';
			$zwNotifHtml.= '<option value="5" '.($zwNotif == 5 ? 'selected="selected"' : '').'>Level 5 - ZW3B.Notification Globale</option>';
			$zwNotifHtml.= '<option value="6" '.($zwNotif == 6 ? 'selected="selected"' : '').'>Level 6 - ZW3B.Notification Impotante</option>';
			$zwNotifHtml.= '<option value="7" '.($zwNotif == 7 ? 'selected="selected"' : '').'>Level 7 - ZW3B.Notification Parano&iuml;aque</option>';
			$zwNotifHtml.= '<option value="8" '.($zwNotif == 8 ? 'selected="selected"' : '').'>Level 8 - ZW3B.Notification Roots</option>';
			
		$zwNotifHtml.= '</select>';
						
		$this->fields['notification'] = $zwNotifHtml;
		// --------------------------------------------------------------------					

		// ZW3B.USR.DATEs ----------------------------------------------------								
		$date_insc = $user['usr_date_insc'];
		$date_log = $user['usr_date_log'];
		$date_lastvisite = $user['usr_date_refresh'];
		$date_naiss = $user['usr_date_birth'];
					
		$this->fields['date_insc'] = ''.$this->zwTools()->date_fr($date_insc).' &agrave; '.substr($date_insc, -8).', '.$this->zwTools()->date_powa($date_insc).'';	
		$this->fields['date_log'] = ''.$this->zwTools()->date_fr($date_log).' &agrave; '.substr($date_log, -8).', '.$this->zwTools()->date_powa($date_log).'';	
		$this->fields['date_lastvisite'] = ''.$this->zwTools()->date_fr($date_lastvisite).' &agrave; '.substr($date_lastvisite, -8).', '.$this->zwTools()->date_powa($date_lastvisite).'';

		$this->fields['date_naiss']	= (isset($user['usr_date_birth']) && !empty($user['usr_date_birth'])) ? 'Le '.$this->zwTools()->date_fr($date_naiss).', '.$this->zwTools()->date_age($date_naiss).'.<br/><br/>' : 'Aucune date de d&eacute;finit - Configurer';	
		$this->fields['date_naiss_select'] = ''.$this->zwTools()->form_select_date_array('usr[date][naiss]',$date_naiss,false).'';
		// --------------------------------------------------------------------				

		// ZW3B.USR.NL ----------------------------------------------------
		$newsletter = "Pas inscrit";
		$this->fields['newsletter'] = $newsletter;			
		// --------------------------------------------------------------------				
		
		
		// ZW3B.USR.M2P ----------------------------------------------------				
		$this->fields['mot2passeActuel'] = "";
		if(	isset($this->info['page']['arguments']['usr_id']) 
			 	&& $this->usr->uid() == $this->info['page']['arguments']['usr_id']
		):
		$this->fields['mot2passeActuel'].= '<tr>';	
		$this->fields['mot2passeActuel'].= '<th>Mot de passe actuel :</th>';	
		$this->fields['mot2passeActuel'].= '<td>';	
		$this->fields['mot2passeActuel'].= '<input type="password" name="usr[infos][m2p]" />';	
		$this->fields['mot2passeActuel'].= '</td>';	
		;else:
		$this->fields['mot2passeActuel'].= '';
		endif;
		
		// --------------------------------------------------------------------				
		
		endif;
	}	
	
	

	protected function zw3bModUsrFormAuthentification($arguments = null) {

		$formulaire = null;

		$_post['form'] = null;
		//$arguments['return']['error']['value']['identifiant']
		$user['identifiant'] = isset($arguments['return']['error']['value']['identifiant']) ? $arguments['return']['error']['value']['identifiant'] : false;
		$user['avatar'] = isset($arguments['return']['error']['value']['avatar']) ? $arguments['return']['error']['value']['avatar'] : false;
		//$user['mail'] = isset($arguments['return']['error']['value']['email']) ? $arguments['return']['error']['value']['email'] : false;

		//$retour['ok'] = isset($arguments['return']['ok']) ? $arguments['return']['ok'] : false;
		$retour['error'] = isset($arguments['return']['error']) ? $arguments['return']['error'] : false;

		//$formulaire.= ( isset($retour['ok']) && $retour['ok'] == 1 ) ? '<p class="oky" style="color::green; font-size:18px; padding:20px auto;">Inscription prisse en compte. confirmation envoy&eacute;e sur votre email.</p>' : '';

		//$formulaire.= '<form class="hidden" id="form_usr_auth" name="form_usr_auth" method="post" action="" onsubmit="return sendFormAuth(this);">'."\n";
		//$formulaire.= '<form class="hidden" id="form_usr_auth" name="form_usr_auth" method="post" action="/actions/usr/login" onsubmit="return sendFormAuth(this);">'."\n";
		$formulaire.= '<form class="" id="form_usr_auth" name="form_usr_auth" method="post" action="/actions/usr/naut/auth">'."\n";
		$formulaire.= '<table>'."\n";
			$formulaire.= '<thead>'."\n";
			$formulaire.= '<tr>'."\n";
				$formulaire.= '<th colspan="2">'."\n";
					$formulaire.= '<p><strong>Authentifiez vous avec votre compte ZW3B et profitez des nombreux avantages.</strong><br /><br /></p>'."\n";
				$formulaire.= '</th>'."\n";
			$formulaire.= '</tr>'."\n";
			$formulaire.= '</thead>'."\n";

		$formulaire.= '<tbody style="width:100%;">'."\n";

		$formulaire.= '<tr>'."\n";

			if(isset($user['avatar']) && !empty($user['avatar']) && file_exists($this->config['host']['documentroot'].$user['avatar']))
			$formulaire.= '<th><img style="float:right; width:80px; height:80px;" src="'.$user['avatar'].'" alt="'.$user['identifiant'].'">Identifiant : </th>'."\n";
			else
			$formulaire.= '<th>Identifiant : </th>'."\n";

			$formulaire.= '<td><input type="text" id="field_identifiant" name="field_identifiant" value="'.$user['identifiant'].'"';
			$formulaire.= ( isset($retour['error']) && isset($retour['error']['identifiant']) ) ? ' class="err0r"' : '';
			$formulaire.= ' /><span class="error field">';
			$formulaire.= ( isset($retour['error']) && isset($retour['error']['identifiant']) && $retour['error']['identifiant']==1) ? '<br/>Combinaison Identifiant/Mot de passe invalide !</span><br/><br/><span class="">Avez-vous oubli&eacute;(e) votre mot de passe ?<br/><br/><a href="//www.zw3b.fr/club#forgot">R&eacute;cup&eacute;rer votre mot de passe en cliquant sur ce lien</a>.<br/><br/>' : '';
			$formulaire.= ( isset($retour['error']) && isset($retour['error']['identifiant']) && $retour['error']['identifiant']==2) ? '<br/>Identifiant invalide' : '';
			$formulaire.= ( isset($retour['error']) && isset($retour['error']['identifiant']) && $retour['error']['identifiant']==3) ? '<br/>Identifiant trop court (3 caract&eagrave;res minimum)' : '';
			$formulaire.= ( isset($retour['error']) && isset($retour['error']['identifiant']) && $retour['error']['identifiant']==4) ? '<br/>Identifiant vide' : '';
			$formulaire.= '</span></td>';
		$formulaire.= '</tr>'."\n";

		$formulaire.= '<tr>'."\n";
			$formulaire.= '<th>Mot de passe : </th>'."\n";
			$formulaire.= '<td><input type="password" id="field_m2p0" name="field_m2p0"';
			$formulaire.= ( isset($retour['error']) && isset($retour['error']['m2p']) ) ? ' class="err0r"' : '';
			$formulaire.= ' /><span class="error field">';
			$formulaire.= ( isset($retour['error']) && isset($retour['error']['m2p']) && $retour['error']['m2p']==2) ? '<br/>Mot de passe syntaxe' : '';
			$formulaire.= ( isset($retour['error']) && isset($retour['error']['m2p']) && $retour['error']['m2p']==3) ? '<br/>Mot de passe trop court >4 ' : '';
			$formulaire.= ( isset($retour['error']) && isset($retour['error']['m2p']) && $retour['error']['m2p']==4) ? '<br/>Mot de passe vide' : '';
			$formulaire.= ( isset($retour['error']) && isset($retour['error']['m2p']) && $retour['error']['m2p']==5) ? '<br/>Mot de passe equivalent  l\'indentifiant' : '';
			$formulaire.= ( isset($retour['error']) && isset($retour['error']['m2p']) && $retour['error']['m2p']==6) ? '<br/>Combinaison Identifiant/Mot de passe invalide' : '';
			$formulaire.= '</span></td>'."\n";
		$formulaire.= '</tr>'."\n";

		$formulaire.= '<tr>';
		  $formulaire.= '<th>&nbsp;</th>';
		  $formulaire.= '<td>&nbsp;</td>';
		$formulaire.= '</tr>';
		$formulaire.= '<tr>';
		  $formulaire.= '<th></th>';
		  $formulaire.= '<td>';
		  //$formulaire.= '<input type="hidden" id="field_uid" name="user_id" value="" />';
		  $formulaire.= '<input type="hidden" id="field_module" name="module" value="usr" />';
		  $formulaire.= '<input type="hidden" id="field_type" name="sc" value="auth" />';
		  $formulaire.= '<input type="hidden" id="field_form" name="form" value="auth" />';
		  $formulaire.= '<input type="submit" name="type" value="authentification" class="btn" />';
		  $formulaire.= '</td>';
		$formulaire.= '</tr>';

		$formulaire.= '</tbody>'."\n";
		$formulaire.= '</table>'."\n";

		$formulaire.= '<br/><br/>'."\n";
		$formulaire.= '</form>'."\n";

/*
			$this->fields['head'] = '';
			$this->fields['body_form'] = $formulaire;
			$this->fields['desciption'] = '';
			$this->fields['foot'] = '';
*/
		return $formulaire;

	}
	
	protected function zw3bModUsrFormInscription($arguments = null) {

		$formulaire = null;
		$_post['form'] = null;

		$user['identifiant'] = isset($arguments['return']['error']['value']['identifiant']) ? $arguments['return']['error']['value']['identifiant'] : false;
		$user['mail'] = isset($arguments['return']['error']['value']['email']) ? $arguments['return']['error']['value']['email'] : false;

		//$retour['error'] = false;
		$retour['ok'] = isset($arguments['return']['ok']) ? $arguments['return']['ok'] : null;
		$retour['error'] = isset($arguments['return']['error']) ? $arguments['return']['error'] : null;

		//$formulaire.= '<form id="form_usr_insc" name="form_usr_insc" method="post" action="" onsubmit="return sendFormInsc(this);">'."\n";
		if( !isset($retour['ok']) )
		$formulaire.= '<form id="form_usr_insc" name="form_usr_insc" method="post" action="/actions/usr/naut/insc" onsubmit="return sendFormInsc(this);">'."\n";

		$formulaire.= '<table style="width:100%;">'."\n";
			$formulaire.= '<thead>'."\n";
			$formulaire.= '<tr>'."\n";
				$formulaire.= '<th colspan="2">'."\n";
					if( !isset($retour['ok']) )
					$formulaire.= '<p><strong>Cr&eacute;ez vous un compte ZW3B et profitez des nombreux avantages.</strong><br /><br /><span>Remplir les champs ci-dessous et inscription.<br /><br /><strong>Vous allez recevoir un mail</strong> sur l\'adresse email saisit ci-dessous. <strong>Pour confirmer l\'inscription il faudra cliquer sur le lien</strong> contenu dans l\'email <strong>de validation</strong>. N\'h&eacute;sitez pas &agrave; regarder dans votre dossier des SPAMs.</span></p>'."\n";
					if( isset($retour['ok']) && $retour['ok'] == 1)
					$formulaire.= '<p style=""><span class="oky"><br/>Votre demande d\'inscription sur ZW3B.FR a bien &eacute;t&eacute; prise en compte.<br/><br/>Pour confirmer votre inscription :<br/><br/>V&eacute;rifiez votre boite emails et cliquer sur le lien de confirmation.</span></p>';

				$formulaire.= '</th>'."\n";
			$formulaire.= '</tr>'."\n";
			$formulaire.= '</thead>'."\n";

		$formulaire.= '<tbody style="width:100%;">'."\n";

		if( !isset($retour['ok']) )
		{

			$formulaire.= '<tr>'."\n";
			$formulaire.= '<th>Identifiant : </th>'."\n";
			$formulaire.= '<td><input type="text" id="field_identifiant" name="field_identifiant" value="'.$user['identifiant'].'"';
			$formulaire.= ( isset($retour['error']) && isset($retour['error']['identifiant']) && isset($retour['error']['identifiant']) ) ? ' class="error"' : '';
			$formulaire.= ' /><span class="error field">';
			$formulaire.= ( isset($retour['error']) && isset($retour['error']['identifiant']) && $retour['error']['identifiant']==1) ? '<br/>Identifiant utilis&eacute; par un autre membre' : '';
			$formulaire.= ( isset($retour['error']) && isset($retour['error']['identifiant']) && $retour['error']['identifiant']==2) ? '<br/>Identifiant invalide' : '';
			$formulaire.= ( isset($retour['error']) && isset($retour['error']['identifiant']) && $retour['error']['identifiant']==3) ? '<br/>Identifiant trop court (3 caract&eagrave;res minimum)' : '';
			$formulaire.= ( isset($retour['error']) && isset($retour['error']['identifiant']) && $retour['error']['identifiant']==4) ? '<br/>Identifiant ind&eacute;finit' : '';
			$formulaire.= '</span></td>';
		$formulaire.= '</tr>'."\n";
		$formulaire.= '<tr>'."\n";
			$formulaire.= '<th>Email : </th>'."\n";
			$formulaire.= '<td><input type="text" id="field_email" name="field_email" value="'.$user['mail'].'"';
			$formulaire.= ( isset($retour['error']) && isset($retour['error']['email']) ) ? ' class="error"' : '';
			$formulaire.= ' /><span class="error field">';
			$formulaire.= ( isset($retour['error']) && isset($retour['error']['email']) && $retour['error']['email']==1) ? '<br/>Email utilis&eacute; par un autre membre' : '';
			$formulaire.= ( isset($retour['error']) && isset($retour['error']['email']) && $retour['error']['email']==2) ? '<br/>Email invalide' : '';
			$formulaire.= ( isset($retour['error']) && isset($retour['error']['email']) && $retour['error']['email']==4) ? '<br/>Email ind&eacute;finit' : '';
			$formulaire.= '</span></td>';
		$formulaire.= '</tr>'."\n";
		$formulaire.= '<tr>'."\n";
			$formulaire.= '<th>Mot de passe : </th>'."\n";
			$formulaire.= '<td><input type="password" id="field_m2p0" name="field_m2p0"';
			$formulaire.= ( isset($retour['error']) && isset($retour['error']['m2p']) ) ? ' class="error"' : '';
			$formulaire.= ' /><span class="error field">';
			$formulaire.= ( isset($retour['error']) && isset($retour['error']['m2p']) && $retour['error']['m2p']==2) ? '<br/>Mot de passe syntaxe' : '';
			$formulaire.= ( isset($retour['error']) && isset($retour['error']['m2p']) && $retour['error']['m2p']==3) ? '<br/>Mot de passe trop court >4 ' : '';
			$formulaire.= ( isset($retour['error']) && isset($retour['error']['m2p']) && $retour['error']['m2p']==4) ? '<br/>Mot de passe ind&eacute;finit' : '';
			$formulaire.= ( isset($retour['error']) && isset($retour['error']['m2p']) && $retour['error']['m2p']==5) ? '<br/>Mot de passe equivalent  l\'indentifiant' : '';
			$formulaire.= ( isset($retour['error']) && isset($retour['error']['m2p']) && $retour['error']['m2p']==6) ? '<br/>Les 2 mots de passe ne sont pas identique' : '';
			$formulaire.= '</span></td>'."\n";
		$formulaire.= '</tr>'."\n";
		$formulaire.= '<tr>'."\n";
			$formulaire.= '<th>Mot de passe <span>(confirmer)</span> : </th>'."\n";
			$formulaire.= '<td><input type="password" id="field_m2p1" name="field_m2p1" />';
			$formulaire.= '</td>'."\n";
		$formulaire.= '</tr>'."\n";

		$formulaire.= '<tr>';
		  $formulaire.= '<th>&nbsp;</th>';
		  $formulaire.= '<td>&nbsp;</td>';
		$formulaire.= '</tr>';

		$formulaire.= '<tr>';
		  $formulaire.= '<th>Civilit&eacute; : </th>';
		  $formulaire.= '<td><select id="field_civilite" name="field_civilite"><option selected="selected"></option><option value="0">Mlle./Mme.</option><option value="1">Mr.</option></select></td>';
		$formulaire.= ' </tr>';
/*
			$formulaire.= '<tr>';
			  $formulaire.= '<th>Date de naissance : </th>';
			  //$formulaire.= '<td>'.form_select_date_naissance('date_both', '1979-01-01 00:00:00').'</td>';
			  $formulaire.= '<td>'.$this->zwTools()->form_select_date_array('date_both', '1985-01-01 00:00:00', false).'</td>';
			$formulaire.= ' </tr>';
*/
		$formulaire.= '<tr>';
		  $formulaire.= '<th>&nbsp;</th>';
		  $formulaire.= '<td>&nbsp;</td>';
		$formulaire.= '</tr>';
		$formulaire.= '<tr>';
		  $formulaire.= '<th></th>';
		  $formulaire.= '<td>';
		  $formulaire.= '<input type="hidden" id="field_uid" name="user_id" value="" />';
		  $formulaire.= '<input type="hidden" id="field_module" name="module" value="usr" />';
		  $formulaire.= '<input type="hidden" id="field_type" name="sc" value="insc" />';
		  $formulaire.= '<input type="hidden" id="field_form" name="form" value="insc" />';
		  $formulaire.= '<input type="submit" name="type" value="inscription" />';
		  $formulaire.= '</td>';
		$formulaire.= '</tr>';

		$formulaire.= '<tr>';
		  $formulaire.= '<th></th>';
		  $formulaire.= '<td>';
		  $formulaire.= '<p>';
				  $formulaire.= 'Conform&eacute;ment &agrave; l\'article 34 de la loi 78-17 du 6 janvier 1978 relative &agrave; l\'informatique, aux fichiers et aux libert&eacute;s, vous disposez d\'un droit d\'acc&egrave;s, de rectification ou de suppression des donn&eacute;es vous concernant.';
			  $formulaire.= '</p>';
		  $formulaire.= '</td>';
		$formulaire.= '</tr>';

		}

		$formulaire.= '</tbody>'."\n";
		$formulaire.= '</table>'."\n";

		$formulaire.= '<br/><br/>'."\n";

		if( !isset($retour['ok']) )
		$formulaire.= '</form>'."\n";


		return $formulaire;

	}

	protected function zw3bModUsrFormForgotPasswd($arguments = null) {


		$formulaire = null;
		$_post['form'] = null;
		$user['mail'] = null;
		$retour['error'] = false;


		//$formulaire.= '<form class="hidden" id="form_usr_forgot" name="form_usr_forgot" method="post" action="" onsubmit="return sendFormForgot(this);">'."\n";
		$formulaire.= '<form class="hidden" id="form_usr_forgot" name="form_usr_forgot" method="post" action="/actions/usr/naut/forgot">'."\n";
		$formulaire.= '<table style="width:100%;">'."\n";
			$formulaire.= '<thead>'."\n";
			$formulaire.= '<tr>'."\n";
				$formulaire.= '<th colspan="2">'."\n";
					$formulaire.= '<p><strong>Vous avez perdu vos parametres de connexion ZW3B.</strong><br /><br />Utilisez le formulaire ci-dessous :</p>'."\n";
				$formulaire.= '</th>'."\n";
			$formulaire.= '</tr>'."\n";
			$formulaire.= '</thead>'."\n";

		$formulaire.= '<tbody style="width:100%;">'."\n";


		$formulaire.= '<tr>';
		  $formulaire.= '<th>&nbsp;</th>';
		  $formulaire.= '<td>Vous vous souvenez de votre identifiant :</td>';
		$formulaire.= '</tr>';

		$formulaire.= '<tr>'."\n";
			$formulaire.= '<th>Identifiant : </th>'."\n";
			$formulaire.= '<td><input type="text" id="field_identifiant" name="field_identifiant" value="'.$user['mail'].'"';
			$formulaire.= ( is_array($retour['error']) && isset($retour['error']['pseudo']) ) ? ' class="error"' : '';
			$formulaire.= ' /><span class="error field">';
			$formulaire.= ( is_array($retour['error']) && $retour['error']['identifiant']==1) ? '<br/>Identifiant utilis&eacute; par un autre membre' : '';
			$formulaire.= ( is_array($retour['error']) && $retour['error']['identifiant']==2) ? '<br/>Identifiant invalide' : '';
			$formulaire.= ( is_array($retour['error']) && $retour['error']['identifiant']==3) ? '<br/>Identifiant trop court (3 caract&eagrave;res minimum)' : '';
			$formulaire.= ( is_array($retour['error']) && $retour['error']['identifiant']==4) ? '<br/>Identifiant ind&eacute;finit' : '';
			$formulaire.= '</span></td>';
		$formulaire.= '</tr>'."\n";

		$formulaire.= '<tr>';
		  $formulaire.= '<th>&nbsp;</th>';
		  $formulaire.= '<td>&nbsp;</td>';
		$formulaire.= '</tr>';

		$formulaire.= '<tr>';
		  $formulaire.= '<th>&nbsp;</th>';
		  $formulaire.= '<td>Vous vous souvenez de votre email :</td>';
		$formulaire.= '</tr>';

		$formulaire.= '<tr>'."\n";
			$formulaire.= '<th>Email : </th>'."\n";
			$formulaire.= '<td><input type="text" id="field_email" name="field_email" value="'.$user['mail'].'"';
			$formulaire.= ( is_array($retour['error']) && isset($retour['error']['email']) ) ? ' class="error"' : '';
			$formulaire.= ' /><span class="error field">';
			$formulaire.= ( is_array($retour['error']) && $retour['error']['email']==1) ? '<br/>Email utilis&eacute; par un autre membre' : '';
			$formulaire.= ( is_array($retour['error']) && $retour['error']['email']==2) ? '<br/>Email invalide' : '';
			$formulaire.= ( is_array($retour['error']) && $retour['error']['email']==4) ? '<br/>Email ind&eacute;finit' : '';
			$formulaire.= '</span></td>';
		$formulaire.= '</tr>'."\n";

		$formulaire.= '<tr>';
		  $formulaire.= '<th>&nbsp;</th>';
		  $formulaire.= '<td>&nbsp;</td>';
		$formulaire.= '</tr>';
		$formulaire.= '<tr>';
		  $formulaire.= '<th></th>';
		  $formulaire.= '<td>';
		  $formulaire.= '<input type="hidden" id="field_uid" name="user_id" value="" />';
		  $formulaire.= '<input type="hidden" id="field_module" name="module" value="usr" />';
		  $formulaire.= '<input type="hidden" id="field_type" name="sc" value="forgot" />';
		  $formulaire.= '<input type="hidden" id="field_form" name="form" value="forgot" />';
		  $formulaire.= '<input type="submit" name="type" value="r&eacute;cup&egrave;rer" />';
		  $formulaire.= '</td>';
		$formulaire.= '</tr>';

		$formulaire.= '</tbody>'."\n";
		$formulaire.= '</table>'."\n";

		$formulaire.= '<br/><br/>'."\n";
		$formulaire.= '</form>'."\n";


		return $formulaire;
	}
	
//	protected function zw3bModUsrNautBlocFiche($arguments = null) {
	public function zw3bModUsrNautBlocFiche($arguments = null) {
		
		$default_folder = "0";
		
		/*hack 4 comments */ $this->usr = !isset($this->usr) ? $this : $this->usr;
		
		$blocfiche = '';
		if($this->usr->auth() == true
			/*and (
				$this->usr->root() == true or
				$this->usr->admin() == true or 
				$this->usr->moderator() == true
			)*/
		):

		$usr_pseudo = $this->usr->uname();

		$usr_email = $this->zwTools()->encode_link_mail($this->usr->umail());

		// ZW3B.USR.AVATAR ----------------------------------------------------								
		$user['usr_avatar'] = $this->usr->uavatar();
		$avatar = isset($user['usr_avatar']) && !empty($user['usr_avatar']) ? $user['usr_avatar'] : null;
		$usr_avatar = isset($avatar) && !empty($avatar) ? '<img src="'.$this->zwTools()->getpathFromSTRING($usr_pseudo, '/var/usr/').'/photos/'.$avatar.'" alt="'.$usr_pseudo.'" />' : '<img src="/var/usr/avatar.png" alt="Ajouter/Modifier votre avatar" />';
		// --------------------------------------------------------------------				
						
			$blocfiche.= '<div class="body">'."\n";
			
			//$blocfiche.= '<pre>'.print_r($this->info,1)."</pre>\n";
			
			$blocfiche.= "\t".'<div class="avatar">'."\n";	
			$blocfiche.= "\t\t".'<a href="/usr/mod/'.$this->usr->uid().'">'."\n";	
			$blocfiche.= "\t\t\t".$usr_avatar."\n";	
			$blocfiche.= "\t\t".'</a>'."\n";	
			$blocfiche.= "\t".'</div>'."\n";
			
			
			$blocfiche.= "\t".'<div class="text">'."\n";	
			$blocfiche.= "\t\t".'<h3>'."";	
			$blocfiche.= '<a href="#">'.$this->usr->uname()."</a>"."\n";	
			$blocfiche.= "".'</h3>'."\n";
			
			$blocfiche.= "".'<p>'."\n";
			$blocfiche.= "".$this->usr->gname();
			$blocfiche.= "".'<p>'."\n";
/*
			$blocfiche.= "".'<ul>'."\n";
			$blocfiche.= "".'<li>Nom : '.$this->usr->ulastname().'</li>'."\n";
			$blocfiche.= "".'<li>Pr&eacute;nom : '.$this->usr->ufirstname().'</li>'."\n";
			$blocfiche.= "".'<li>Age : '.$this->usr->ubirthday().'<br/></li>'."\n";
			$blocfiche.= "".'</ul>'."\n";

			$blocfiche.= "".'<ul>'."\n";
			$blocfiche.= "".'<li>Pays : '.$this->usr->ucountry().'</li>'."\n";
			$blocfiche.= "".'<li>Ville : '.$this->usr->ucity().'</li>'."\n";
			$blocfiche.= "".'<li>Adresse : '.$this->usr->uaddr().'</li>'."\n";
			$blocfiche.= "".'</ul>'."\n";			
*/						
			$blocfiche.= "\t".'</div>'."\n";	

			$blocfiche.= '<hr class="clear"/>'."\n";
			
			
			$blocfiche.= "".'<ul>'."\n";
			$blocfiche.= "".'<li><a href="'.$this->config['apps']['conf']['url'].'/usr/mod/'.$this->usr->uid().'"">Mon compte</a></li>'."\n";
			$blocfiche.= "".'</ul>'."\n";

		
			$blocfiche.= "\t".'<ul>'."\n";

			 if
			 (	
			 	(
			 	isset($this->info['folder'][$default_folder])
			 	&& $this->info['folder'][$default_folder] != "config" 
			 	&& $this->info['folder'][$default_folder] != "usr"
			 	&& $this->info['folder'][$default_folder] != "tree" 
			 	&& $this->info['folder'][$default_folder] != "contents"
			 	)
			 	or (!isset($this->info['folder'][$default_folder]))
			 ):
				 
				$blocfiche.= "\t\t".'<li>'."\n";	
				$blocfiche.= "\t\t\t".'<a href="'.$this->config['apps']['conf']['url'].'/tree/mod/'.$this->info['page']['zw3bsite'].''.($this->info['page']['dir'] != '//' ? $this->info['page']['dir'] : '/').'">'."\n";
				$blocfiche.= "".'Modifier ce r&eacute;pertoire ';
				$blocfiche.= "".'</a>'."";
				$blocfiche.= "\t\t\t".'</li>'."\n";
			
			endif;
		
			$blocfiche.= "\t\t".'<li>'."\n";	
			if($this->info['file'][0] == "index") {
				 
				 if									 
				 (
			 		(
				 	isset($this->info['folder'][$default_folder]) 
				 	&& $this->info['folder'][$default_folder] != "config" 
				 	&& $this->info['folder'][$default_folder] != "usr"
				 	&& $this->info['folder'][$default_folder] != "tree" 
				 	&& $this->info['folder'][$default_folder] != "contents"
				 	)
				 	or (!isset($this->info['folder'][$default_folder]))
				 ):				
				if(
					$this->usr->root() == true or
					$this->usr->admin() == true or 
					$this->usr->moderator() == true
				):
					$blocfiche.= "\t\t\t".'<a href="'.$this->config['apps']['conf']['url'].'/contents/">'."\n";
					$blocfiche.= "".'Ajouter du contenu'."";
				endif;
				endif;
			} else {

				 if									 
				 (
				 	(
				 	isset($this->info['folder'][$default_folder])
				 	&& $this->info['folder'][$default_folder] != "config" 
				 	&& $this->info['folder'][$default_folder] != "usr"
				 	&& $this->info['folder'][$default_folder] != "tree" 
				 	&& $this->info['folder'][$default_folder] != "contents"
				 	)
				 	or (!isset($this->info['folder'][$default_folder]))
				 ):
					 				
				if(
					$this->usr->root() == true or
					$this->usr->admin() == true or 
					$this->usr->moderator() == true
					or 
					(
						isset($this->info['page']['arguments']['usr_id']) 
					 && $this->usr->uid() == $this->info['page']['arguments']['usr_id']
					 )
				):
					/* hack temp comments */  //$this->info['content']['module_rewrite'] = isset($this->info['content']['module_rewrite']) && !empty($this->info['content']['module_rewrite']) ? $this->info['content']['module_rewrite'] : "news";
					
					$blocfiche.= "\t\t\t".'<a href="'.$this->config['apps']['conf']['url'].'/contents/'.$this->info['content']['module_rewrite'].'/mod/'.$this->info['page']['zw3bsite'].''.$this->info['url'].'">'."\n";
					$blocfiche.= "".'Modifier ce contenu'."";
				endif;
				endif;		
			}
			$blocfiche.= "".'</a>'."";
			$blocfiche.= "\t\t\t".'</li>'."\n";
						
			$blocfiche.= "\t".'</ul>'."\n";
			
			
			$blocfiche.= "".'<ul>'."\n";
//			$blocfiche.= "".'<li><a href="#notification">G&egrave;rer mes notifications</a></li>'."\n";
			$blocfiche.= "".'<li><a href="/actions/usr/nist/dlog">Me d&eacute;connecter</a></li>'."\n";
			$blocfiche.= "".'</ul>'."\n";


			
			$blocfiche.= '</div>'."\n";	
			
			//$blocfiche.= '<pre>'.print_r($this->info,1)."</pre>";	

		$blocfiche.= '<hr class="clear"/>'."\n";
		endif;
		
		return $blocfiche;
		
	}
	
	
	protected function zw3bModUsrBlocs($arguments = null) {

		$this->fields['head'] = '';
		$this->fields['onglets_bloc'] = '';
		$this->fields['body'] = '';
		$this->fields['description'] = '';
		$this->fields['foot'] = '';	

		if($this->usr->auth() == true
			/*and (
				$this->usr->root() == true or
				$this->usr->admin() == true
			)*/
		):
						
			$this->fields['body'] = '';
			$this->fields['body'].= self::zw3bModUsrNautBlocFiche($arguments);

			//$this->fields['body'].= '<ul><li><a href="/actions/usr/nist/dlog">DELOG</a></li></ul>';
			
		;else:
			$this->fields['body'] = '';
			$this->fields['body'].= self::zw3bModUsrFormAuthentification($arguments);
			//$this->fields['body'].= self::zw3bModUsrFormInscription($arguments);
			//$this->fields['body'].= self::zw3bModUsrFormForgotPasswd($arguments);
			
		endif;
			
	}	



	public function zw3bModUsrFicheHtml($arguments = null) {
		
		
			$this->zw3bModUsrFicheContent($arguments);

			//if(isset($user_content) && is_array($user_content))
			//	echo $this->zwTools()->getpathFromSTRING('Kss.OPM', '/var/usr/').'/photos/photo.jpg';

			return $this->render('./sys/modules/usr/default/tpl/zw_site-usr_fiche.tpl.php', $this->fields);
		
		
	}
	
	private	function zw3bModUsrFicheContent($arguments = null) {


			//$this->config['rootdir'] = '/var/pro/web_sites/zw3b.fr/www/web/';
			//$user_content = $this->basetype()->get_user($arguments['id_user']);
			//if(!isset($arguments['commentaire'])) $arguments['commentaire'] = null;

			$user_content = $this->basetype()->get_user($arguments);
			if($user_content == false) $user_content = $this->basetype()->get_user_anonym($arguments['commentaire']);

			//echo '<pre>'.print_r($user_content, 1).'</pre>'; //exit;
			//$user = self::session();
			//$this->config = parent::initConfig();
			//echo '<pre>'.print_r($arguments, 1).'</pre>';//exit;

			if(isset($user_content) && is_array($user_content)):

				$this->fields["usr_name"] = ($user_content['usr_firstname'] == true || $user_content['usr_lastname'] == true) ? ' Alias de ' : '';
				$this->fields["usr_name"].= ($user_content['usr_firstname'] == true) ? $user_content['usr_firstname'].' ' : '';
				$this->fields["usr_name"].= ($user_content['usr_lastname'] == true) ? $user_content['usr_lastname'].' ' : '';
				
				$this->fields["usr_pseudo"] = $user_content['usr_pseudo'];
				
				$this->fields["usr_blog"] = ($user_content['usr_pseudo'] == "ZW3B" ? $this->zwTools()->protocole(str_replace('.', '-', strToLower("www")).'.zw3b.fr') : $this->zwTools()->protocole(str_replace('.', '-', strToLower($user_content['usr_pseudo'])).'.zw3b.fr'));
				

				
				$this->fields["usr_notification"] = (isset($user_content['usr_notification']) && $user_content['usr_notification'] != 0) ? 'NOTIFICATION LVL '.$user_content['usr_notification'] : 'Aucune Notification';

				//if($this->auth() == true )echo $this->config['rootdir'].'/'.$this->zwTools()->getpathFromSTRING($user_content['log'], '/var/usr/').'/photos/'.$user_content['avatar'];
				//$this->fields["usr_pseudo"].= ">>> ".$this->config['rootdir'];
				if( file_exists($this->config['host']['documentroot'].'/'.$this->zwTools()->getpathFromSTRING($user_content['usr_pseudo'], '/var/usr/').'/photos/'.$user_content['usr_avatar']) )
					//$body.= "\t\t\t\t\t".'<img src="/resize.php?src='.$this->zwTools()->getpathFromSTRING($user_content['log'], '/var/usr/').'/photos/'.$user_content['avatar'].'&amp;h=50&amp;w=50&amp;zc=1" alt="'.$user_content['log'].'"/>'."\n";
					//$avatar = '/resize.php?src='.$this->zwTools()->getpathFromSTRING($user_content['log'], '/var/usr/').'/photos/'.$user_content['avatar'].'&amp;h=100&amp;w=100&amp;zc=1';
					$avatar = ''.$this->zwTools()->getpathFromSTRING($user_content['usr_pseudo'], '/var/usr/').'/photos/'.$user_content['usr_avatar'].'';

				else
					$avatar = "/var/usr/avatar.png";

				//echo $this->config['rootdir'].'/'.$this->zwTools()->getpathFromSTRING($user_content['log'], '/var/usr/').'/photos/'.$user_content['avatar'];

				$this->fields["usr_avatar"] = $avatar;
				$this->fields["usr_age"] = (isset($user_content['usr_date_birth']) && $user_content['usr_date_birth'] != '00-00-00 00:00:00') ? ' - '.$this->zwTools()->date_age($user_content['usr_date_birth']) : '';

				if(isset($user_content['grp_right']) && $user_content['grp_right'] != 0 && $user_content['grp_right'] == 1):
					$this->fields["usr_right_sites"] = 'ZW3B.Master';
					$this->fields["usr_right_serveurs"] = 'ZW3B.Root';
				elseif(isset($user_content['grp_right']) && $user_content['grp_right'] <= 10):
					$this->fields["usr_right_sites"] = 'ZW3B.Admin';
					$this->fields["usr_right_serveurs"] = 'ZW3B.Admin';
				elseif(isset($user_content['grp_right']) && $user_content['grp_right'] >= 20 && $user_content['grp_right'] < 30):
					$this->fields["usr_right_sites"] = 'ZW3B.Mode';
					$this->fields["usr_right_serveurs"] = 'ZW3B.Mode';
				elseif(isset($user_content['grp_right']) && $user_content['grp_right'] >= 30 && $user_content['grp_right'] < 888800):
					$this->fields["usr_right_sites"] = 'ZW3B.Niste';
					$this->fields["usr_right_serveurs"] = 'ZW3B.Niste';
				elseif(isset($user_content['grp_right']) && $user_content['grp_right'] == 888800):
					$this->fields["usr_right_sites"] = 'ZW3B.Naute';
					$this->fields["usr_right_serveurs"] = 'ZW3B.Nobody';
				else:
					$this->fields["usr_right_sites"] = 'ZW3B.Naute';
					$this->fields["usr_right_serveurs"] = 'ZW3B.Nobody';
				endif;

				$_usr_email_encode = $this->zwTools()->mailto($user_content['usr_email']);
				$_usr_email = $this->zwTools()->replace_mail($user_content['usr_email']);
				
				$this->fields["usr_email"] = '<span><br />';
				if($this->session()->auth())
				$this->fields["usr_email"].= '<a href="mailto:'.$_usr_email_encode.'" title="Contactez : '.$_usr_email.'">';
				else
				$this->fields["usr_email"].= '<a href="#gmsg" onclick="return false;" title="Contactez : '.$_usr_email.'">';
				$this->fields["usr_email"].= 'CONTACT';
				$this->fields["usr_email"].= '</a>';
				$this->fields["usr_email"].= '</span>';
				//$this->fields["usr_email"] = '<br/>';
				
				$this->fields["usr_contact_zw3bblog"] = (isset($this->fields["usr_blog"]) && !empty($this->fields["usr_blog"]) ? '<span> - <a href="'.$this->fields["usr_blog"].'" title="Visiter : '.$this->fields["usr_blog"].'">ZW3B.Blog</a></span>' : '');
				$this->fields["usr_contact_zw3bblog"] = '';
				$this->fields["usr_contact_siteweb"] = (isset($user_content['usr_contact_web']) && !empty($user_content['usr_contact_web']) && $user_content['usr_contact_web'] == true ? '<span> - <a href="'.$user_content['usr_contact_web'].'" title="Visiter : '.$user_content['usr_contact_web'].'">Web</a></span>' : '');
				$this->fields["usr_contact_facebook"] = (isset($user_content['usr_contact_facebook']) && !empty($user_content['usr_contact_facebook']) && $user_content['usr_contact_facebook'] == true ? '<span> - <a href="'.$user_content['usr_contact_facebook'].'" title="Visiter : '.$user_content['usr_contact_facebook'].'">FB</a></span>' : '');
				$this->fields["usr_contact_twitter"] = (isset($user_content['usr_contact_twitter']) && !empty($user_content['usr_contact_twitter']) && $user_content['usr_contact_twitter'] == true ? '<span> - <a href="'.$user_content['usr_contact_twitter'].'" title="Visiter : '.$user_content['usr_contact_twitter'].'">Twitter</a></span>' : '');
				$this->fields["usr_contact_googleplus"] = (isset($user_content['usr_contact_google']) && !empty($user_content['usr_contact_google']) && $user_content['usr_contact_google'] == true ? '<span> - <a href="'.$user_content['usr_contact_google'].'" title="Visiter : '.$user_content['usr_contact_google'].'">Google+</a></span>' : '');
				$this->fields["usr_contact_instagram"] = (isset($user_content['usr_contact_instagram']) && !empty($user_content['usr_contact_instagram']) && $user_content['usr_contact_instagram'] == true ? '<span> - <a href="'.$user_content['usr_contact_instagram'].'" title="Visiter : '.$user_content['usr_contact_instagram'].'">Instagram</a></span>' : '');

	/*
				$this->fields["usr_contact_siteweb"] = (isset($user_content['siteweb']) ? $user_content['siteweb'] : '');
				$this->fields["usr_contact_facebook"] = (isset($user_content['facebook']) ? $user_content['facebook'] : '');
				$this->fields["usr_contact_twitter"] = (isset($user_content['twitter']) ? $user_content['twitter'] : '');
	*/
//				$this->fields["usr_date_birth"] = '';

				$this->fields["usr_date_insc"] = $this->zwTools()->date_powa($user_content['usr_date_insc']);
				
				$this->fields["usr_date_log"] = '<br />';
				$this->fields["usr_date_log"].= '<span>';
				$this->fields["usr_date_log"].= 'CONNEXION : <span> ';
 				$this->fields["usr_date_log"].= $this->zwTools()->date_powa($user_content['usr_date_log']);
        		$this->fields["usr_date_log"].= '</span>';
        		$this->fields["usr_date_log"].= '</span>';
        		$this->fields["usr_date_log"] = '';
        		
				$this->fields["usr_date_refresh"] = '<br />';
				$this->fields["usr_date_refresh"].= '<span>';
            	$this->fields["usr_date_refresh"].= 'REFRESH : <span style="text-transform:uppercase;">';
 				$this->fields["usr_date_refresh"].= $this->zwTools()->date_powa($user_content['usr_date_refresh']);
				$this->fields["usr_date_refresh"].= '</span><br />';
       			$this->fields["usr_date_refresh"].= '</span>';
				//$this->fields["usr_date_refresh"] = '';
				
			endif;



		}
	
}

?>